Debian. Not working apt-get install



  • Call the team. apt-get install -f The following errors appear:

    Чтение списков пакетов…
    Построение дерева зависимостей…
    Чтение информации о состоянии…
    Следующий пакет устанавливался автоматически и больше не требуется:
      python-gpgme
    Для его удаления используйте «apt-get autoremove».
    обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 76 пакетов не обновлено.
    не установлено до конца или удалено 3 пакетов.
    После данной операции, объём занятого дискового пространства возрастёт на 0 B.
    Настраивается пакет python-gpgme (0.3-1+b1) …
    Traceback (most recent call last):
      File "/usr/bin/pycompile", line 35, in <module>
        from debpython.version import SUPPORTED, debsorted, vrepr, \
      File "/usr/share/python/debpython/version.py", line 24, in <module>
        from ConfigParser import SafeConfigParser
    ImportError: No module named 'ConfigParser'
    dpkg: ошибка при обработке пакета python-gpgme (--configure):
     подпроцесс установлен сценарий post-installation возвратил код ошибки 1
    Настраивается пакет python-simplejson (3.6.5-1) …
    Traceback (most recent call last):
      File "/usr/bin/pycompile", line 35, in <module>
        from debpython.version import SUPPORTED, debsorted, vrepr, \
      File "/usr/share/python/debpython/version.py", line 24, in <module>
        from ConfigParser import SafeConfigParser
    ImportError: No module named 'ConfigParser'
    dpkg: ошибка при обработке пакета python-simplejson (--configure):
     подпроцесс установлен сценарий post-installation возвратил код ошибки 1
    Настраивается пакет python-software-properties (0.92.25debian1) …
    Traceback (most recent call last):
      File "/usr/bin/pycompile", line 35, in <module>
        from debpython.version import SUPPORTED, debsorted, vrepr, \
      File "/usr/share/python/debpython/version.py", line 24, in <module>
        from ConfigParser import SafeConfigParser
    ImportError: No module named 'ConfigParser'
    dpkg: ошибка при обработке пакета python-software-properties (--configure):
     подпроцесс установлен сценарий post-installation возвратил код ошибки 1
    При обработке следующих пакетов произошли ошибки:
     python-gpgme
     python-simplejson
     python-software-properties
     E: Sub-process /usr/bin/dpkg returned an error code (1)
    

    What should I do with these three bags? Remove? Help me get this straight.



  • Changed the python system interpreter: ln -sf python2 /usr/bin/python ♪ Implemented apt-get install -fThen apt-get autoremove

    There's no mistake.




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2